function love.load()
win_x,win_y = love.graphics.getDimensions()
u = {
x = win_x/20,
y = win_y/15
}
c = {
x = 0,
y = 0
}
k = {
x = 100,
y = 100 
}
bully = {grid = true,cube = true,kube = true,points = true}
end

function love.draw()
if bully.grid then
	love.graphics.setColor(255,255,255,100)
	for i = 0, win_y/u.y do
		for j = 0, win_x/u.x do
			love.graphics.rectangle('line',(j*u.x),(i*u.y),u.x,u.y)
		end
	end
	love.graphics.setColor(255,255,255,255)
end
if bully.cube then
	love.graphics.setColor(255,0,0,255)
	love.graphics.polygon('fill', cube.iso_top)
	love.graphics.setColor(0,255,0,255)
	love.graphics.polygon('fill', cube.iso_right)
	love.graphics.setColor(0,0,255,255)
	love.graphics.polygon('fill', cube.iso_left)
	love.graphics.setColor(255,255,255,255)
end
if bully.kube then
	love.graphics.setColor(255,255,255,255)
	love.graphics.polygon('line', kube.eso_top)
	love.graphics.setColor(255,255,255,255)
	love.graphics.polygon('line', kube.eso_right)
	love.graphics.setColor(255,255,255,255)
	love.graphics.polygon('line', kube.eso_left)
	love.graphics.setColor(255,255,255,255)
end
if bully.points then
	love.graphics.points(c.x,c.y)
	love.graphics.points(k.x,k.y)
end
end

function love.update(dt)
--for reziable windows this is important
win_x,win_y = love.graphics.getDimensions()
--update cube, self later on
cube = {
iso_top = {(0*u.x)+c.x,(1*u.y)+c.y,(1*u.x)+c.x,(0*u.y)+c.y,(2*u.x)+c.x,(1*u.y)+c.y,(1*u.x)+c.x,(2*u.y)+c.y},
iso_right = {(1*u.x)+c.x,(2*u.y)+c.y,(2*u.x)+c.x,(1*u.y)+c.y,(2*u.x)+c.x,(2*u.y)+c.y,(1*u.x)+c.x,(3*u.y)+c.y},
iso_left = {(0*u.x)+c.x,(1*u.y)+c.y,(1*u.x)+c.x,(2*u.y)+c.y,(1*u.x)+c.x,(3*u.y)+c.y,(0*u.x)+c.x,(2*u.y)+c.y}
}
	if love.keyboard.isDown('up') then
	c.y = c.y - 1
	c.x = c.x + 1
	end
	if love.keyboard.isDown('right') then
	c.y = c.y + 1
	c.x = c.x + 1
	end
	if love.keyboard.isDown('down') then
	c.y = c.y + 1
	c.x = c.x - 1
	end
	if love.keyboard.isDown('left') then
	c.y = c.y - 1
	c.x = c.x - 1
	end
--stationary cube, self later on.
kube = {
eso_top = {(0*u.x)+k.x,(1*u.y)+k.y,(1*u.x)+k.x,(0*u.y)+k.y,(2*u.x)+k.x,(1*u.y)+k.y,(1*u.x)+k.x,(2*u.y)+k.y},
eso_right = {(1*u.x)+k.x,(2*u.y)+k.y,(2*u.x)+k.x,(1*u.y)+k.y,(2*u.x)+k.x,(2*u.y)+k.y,(1*u.x)+k.x,(3*u.y)+k.y},
eso_left = {(0*u.x)+k.x,(1*u.y)+k.y,(1*u.x)+k.x,(2*u.y)+k.y,(1*u.x)+k.x,(3*u.y)+k.y,(0*u.x)+k.x,(2*u.y)+k.y}
}
end